<?php
session_start();/**************************************************صفحة تحميل المزيد من سيشنز*******************************************************************/

// ضبط اعدادات اللغة العربية للصفحة 
header("content-type:text/html;charset=utf-8"); 

//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;

//استدعاء ملف الحماية من الحقن
include "../injection.php";
//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'"); 

//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}

if(!isset($_POST['table']) || !isset($_POST['start']) || !isset($_POST['end']) || 
!isset($_POST['num_rows']) || !isset($_POST['search'])){ die(); };

// معالجة حقن المتغيرات
injection($_POST['table']);
is_num($_POST['start']);
is_num($_POST['end']);
is_num($_POST['num_rows']);






/*  اسم الجدول وبداية الكويرى */  
$table=$_POST['table'];

//رقم سحل البداية
$start=$_POST['start'];

//رقم سحل النهاية
$end=$_POST['end'];

// عدد الصفوف المستدعاة

//تحديد عدد الصفوف
$num_rows=$_POST['num_rows'];

// كلمة البحث
$search=$_POST['search'];
$search_type=$_POST['search_type'];

//
// القسم الحالى
$cat=$_POST['cat'];



//بداية الاستعلام
$query="select * from sessions  where $search_type like '%$_POST[search]%' order by id desc limit $start,$num_rows  ";

//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$rows_num=mysqli_num_rows($result);

?>	

<div id="load_wait"></div>
<div id="result_view">
	
	
<table style="border:solid 1px #333" border='1' cellpadding="0" cellspacing="0" width="980" dir="rtl">
<tr class='first_table_tr'>
<td align="center">الكود</td>
<td align="center">الاسم</td>
<td align="center">البريد الإلكترونى</td>
<td align="center">المحمول</td>
<td align="center">مكان التدريب</td>
<td width='100' align="center" >تاريخ التسجيل</td>

<td width='5' align="center">مراسلة</td>
<td width='5' align="center">معاينة</td>
<td width='5' align="center">القراءة</td>
<td width="15" align="center">القبول</td>
<td width="15" align="center">تعديل</td>
<td width="15" align="center">تفاصيل</td>	
<td width="15" align="center">حذف</td>
</tr>	
	
	
<?php
   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
	
	
echo"<tr id='tr$fetch[id]' class='table_tr'>";
echo"<td><div>$fetch[id]</div></td>";
echo"<td><div>$fetch[full_name]</div></td>";
echo"<td><div>$fetch[email]</div></td>";
echo"<td><div>$fetch[mobile]</div></td>";
if ($fetch['type']=='2'){
echo"<td align='center'><div>اونلاين</div></td>";		
}else{
echo"<td align='center'><div>مقر الجمعية</div></td>";		
}

echo"<td align='center'><div>$fetch[msg_date]</div></td>";

echo"<td align='center'><a class='edit_news' alt'$fetch[id]' href='mail.php?id=$fetch[id]&table=$table'><img loading='lazy' a src='../img/re.png'></td>";


echo"<td align='center'><a class='edit_news' alt'$fetch[id]' href='preview_consulting.php?id=$fetch[id]'>";
echo"<img loading='lazy' a src='../img/view.png'>" ; 
echo"</td>";
if ($fetch['msg_read']=='1'){
echo"<td   align='center'><a class='read' table='$table' type='1' id='read$fetch[id]' read_id='$fetch[id]'><img loading='lazy' src='../img/read.png'></a></td>";		
}else{
echo"<td   align='center'><a class='read' table='$table' type='0' id='read$fetch[id]' read_id='$fetch[id]'><img loading='lazy' src='../img/unread.png'></a></td>";
}
if ($fetch['approve']=='1'){
echo"<td   align='center'><a class='approve' table='$table' type='1' id='approve$fetch[id]' approve_id='$fetch[id]'><img loading='lazy' src='../img/approve_yes.png'></a></td>";		
}else{
echo"<td   align='center'><a class='approve' table='$table' type='0' id='approve$fetch[id]' approve_id='$fetch[id]'><img loading='lazy' src='../img/approve_no.png'></a></td>";
}
echo"<td align='center'><a class='edit_news' alt'$fetch[id]' href='edit_$table.php?id=$fetch[id]'><img loading='lazy' a src='../img/edit.png'></td>";
echo"<td align='center'><a table='$table' class='show_details' created='$fetch[created]' modified='$fetch[modified]' user_created='$fetch[user_created]' user_modified='$fetch[user_modified]'  alt='$fetch[id]'><img loading='lazy' src='../img/details.png'></td>";

echo"<td align='center'><a class='delete' alt='$fetch[id]'><img loading='lazy' src='../img/delete.png'></td>";


echo"</tr>";
}		
?>
</table>
</div>
		


